/* SmoothWall helper program - restartnetwork
 *
 * This program is distributed under the terms of the GNU General Public
 * Licence.  See the file COPYING for details.
 *
 * (c) Toby Long-Leather, 2005
 *
 * Based on smoothiedeath.c, which is
 * (c) Lawrence Manning, 2001
 *
 * filename: restartnetwork.c
 * Simple program intended to be installed setuid(0) that can be used for
 * restarting the network. Use restart rather than explicit up and down
 * for slightly better security - an attacker would be able to restart
 * the network, but not stop it. */

#include "setuid.h"

int main(void)
{
	if (!(initsetuid(0)))
		exit(1);
	
	system("/etc/rc.d/rc.netaddress.down");
	system("/etc/rc.d/rc.netaddress.up");
	
	return 0;
}
